Package org.apache.sling.cms

## Interface File

All Superinterfaces:
  `PublishableResource`

    @ProviderType
    public interface File
    extends PublishableResource

An interface representing a sling:File resource. Adaptable from a sling:File Resource.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getContentType()` Gets the content type of this file
`org.apache.sling.api.resource.ValueMap` `getMetadata()` Retrieves the metadata extracted from the file.

### Methods inherited from interface org.apache.sling.cms.PublishableResource

`getContentResource, getCreated, getCreatedBy, getLastModified, getLastModifiedBy, getLastPublication, getLastPublicationBy, getLastPublicationType, getName, getParent, getPath, getProperties, getPublishedPath, getPublishedUrl, getResource, getSite, isPublished`

### Method Detail

#### getMetadata

    org.apache.sling.api.resource.ValueMap getMetadata()

Retrieves the metadata extracted from the file.

Returns:
  the metadata extracted from the file

#### getContentType

    String getContentType()

Gets the content type of this file

Returns:
  the content type of the file